<template>
  <v-row no-gutters>
    <v-col cols="12" md="9" lg="10">
      <v-autocomplete
        v-model="selected"
        placeholder="City, Neighborhood, Zip or Property name"
        class="no-border"
        solo
        flat
        style="border: 1px solid var(--v-accent-base);"
        :loading="isLoading"
        :items="items"
        no-data-text="..."
        :search-input.sync="search"
        no-filter
        hide-details
        item-text="name"
        dense
        return-object
      />
    </v-col>
    <v-col cols="12" md="3" lg="2">
      <v-btn
        block
        depressed
        tile
        height="40"
        color="accent"
        @click="setSearch(selected)"
      >
        <v-icon left size="24">
          {{ mdiMagnify }}
        </v-icon>
        <span class="font-weight-bold">
          Search
        </span>
      </v-btn>
    </v-col>
  </v-row>
</template>

<script lang="ts">
import { mdiMagnify } from '@mdi/js'
import { defineComponent, ref } from '@vue/composition-api'
import { useAutocomplete } from '@/hooks'

export default defineComponent({
  setup (_, context) {
    const { isLoading, items, search, setSearch } = useAutocomplete(context)
    const selected = ref<google.maps.places.AutocompletePrediction>({})

    return { isLoading, items, search, setSearch, selected, mdiMagnify }
  }
})
</script>
